:root {
	--drawer-width: 500px !important;
}

:root :where(.wp-block-woocommerce-mini-cart-contents) {

	.wc-block-components-button.wc-block-components-drawer__close {
		margin: 0;
		top: 20px;
		right: 20px;
	
		svg {
			width: 18px;
			height: 18px;
		}
	}

	.wc-block-mini-cart__title {
		font-size: 24px;
		font-weight: 600;
		line-height: 36px;
		padding: 20px;
		margin: 0;
	}

	.wc-block-mini-cart__items {
		padding: 20px;
	}

	.wc-block-cart-item__prices {
		.wc-block-components-product-price {
			color: var(--wp--preset--color--contrast);
			display: flex ;
			gap: 8px;
			font-size: 14px;
			font-weight: 500;

			del {
				color: var(--wp--preset--color--gray-200);
				order: 2;
			}

			ins {
				color: var(--wp--preset--color--contrast);
				order:1;
				margin-left:0;
			}
		}
	}


	table.wc-block-cart-items {
		tbody {
			display: flex;
			flex-direction: column;
			gap: 32px;
		}

		.wc-block-cart-items__row {
			padding: 0;

			.wc-block-cart-item__image {
				img {
					width: 110px;
					aspect-ratio: 1;
					border-radius: 8px;
					object-fit:cover;
				}
			}

			.wc-block-cart-item__wrap { 
				display: flex;
				flex-direction: column;
				gap: 0;

				> * {
					margin-bottom: 10px;
					&:empty {
						display: none;
					}
				}

				.wc-block-components-product-name {
					color: var(--wp--preset--color--contrast);
					font-size: 15px;
					font-weight: 500;
					text-decoration: none;

					&:hover {
						text-decoration: underline;
					}
				}

				.wc-block-components-product-metadata {
					display: none;
				}


				.wc-block-cart-item__quantity {
					margin-bottom: 0;
					gap: 15px;
					padding: 0;
					align-self: flex-start;

					.wc-block-components-quantity-selector {
						background-color: transparent;
		                padding: 6px;
		                border-radius: 8px;
		                width: 84px;
		                gap:2px;
		                margin-bottom: 0;

						.wc-block-components-quantity-selector__input {
		                    padding: 0;
		                    min-width: 0;
		                    font-size: 14px;
		                    font-weight: 500;
		                    line-height: 24px; 
		                }

						.wc-block-components-quantity-selector__button {
		                    display: flex;
		                    min-width:24px;
		                    justify-content: center;
		                    align-items: center;
		                    padding:0;
		                    border-radius: 9px 0 0 9px;
		                    opacity:1;
		                }

		                .wc-block-components-quantity-selector__input,
		                .wc-block-components-quantity-selector__button {
		                    &:focus {
		                        box-shadow: none;
		                    }
		                }

		                &:after {
		                    border:0;
		                }

					}

					.wc-block-components-quantity-selector__button {
						padding: 0;
						min-width: 0;
					}

					.wc-block-cart-item__remove-link {
						font-size: 14px;
						font-style: normal;
						font-weight: 500;
						line-height: 24px; 
	                    color: var(--wp--preset--color--contrast);
	                    text-underline-offset: 5px;

						&:hover {
							color: var(--wp--preset--color--primary);
						}
					}
				}
			}

			 .wc-block-cart-item__total {
				color: var(--wp--preset--color--contrast);
				text-align: right;
				font-weight: 500;
			}
		}	
	}

	.wc-block-mini-cart__footer {
		padding: 32px;
		border-top: 1px solid var(--wp--preset--color--gray-300);

		&:after {
			content: none;
		}

		.wc-block-components-totals-item.wc-block-mini-cart__footer-subtotal {
			margin-bottom: 24px;
			gap: 8px;

			.wc-block-components-totals-item__label,
			.wc-block-components-totals-item__value {
				font-size: 18px;
				font-weight: 400;
				line-height: 32px;
			}

			.wc-block-components-totals-item__value {
				font-weight: 600;
			}

			.wc-block-components-totals-item__value,
			.wc-block-components-totals-item__label {
				color: var(--wp--preset--color--contrast);
			}

			.wc-block-components-totals-item__description {
				font-size: 14px;
				font-style: normal;
				font-weight: 400;
				line-height: 24px; 
			}
		}
	}

	.wc-block-mini-cart__footer-actions {
		.wc-block-components-button:not(.is-link).outlined:not(:focus) {
			box-shadow: inset 0 0 0 1px var(--wp--preset--color--gray-300);
			border: 0;
			color: var(--wp--preset--color--contrast);

			&:hover {
				color: var(--wp--preset--color--white);
			}
		}
	}

	.wp-block-woocommerce-empty-mini-cart-contents-block .wc-block-mini-cart__empty-cart-wrapper {
		padding: 0 48px;
	}

	.wc-block-components-product-badge {
		width: fit-content;
	}

	.wc-block-cart-item__total-price-and-sale-badge-wrapper {
		.wc-block-components-sale-badge {
			display: none;
		}
	}

	.wp-block-woocommerce-empty-mini-cart-contents-block {
		.wc-block-mini-cart__empty-cart-wrapper {
			p {
				font-size: 24px;
				font-weight: 500;
				line-height: 32px;
				color: var(--wp--preset--color--contrast);
				margin-bottom: 25px;

				&:before {
  					background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23F6EB16'%3E%3Cpath fill-rule='evenodd' d='M6.146 8.146a.5.5 0 0 1 .708 0L8 9.293l1.146-1.147a.5.5 0 1 1 .708.708L8.707 10l1.147 1.146a.5.5 0 0 1-.708.708L8 10.707l-1.146 1.147a.5.5 0 0 1-.708-.708L7.293 10 6.146 8.854a.5.5 0 0 1 0-.708'/%3E%3Cpath d='M8 1a2.5 2.5 0 0 1 2.5 2.5V4h-5v-.5A2.5 2.5 0 0 1 8 1m3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4zM2 5h12v9a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1z'/%3E%3C/svg%3E");
		            margin: 0 auto 26px;
		            background-repeat: no-repeat;
  					background-position: center;
  					background-size: contain;
		            width: 90px;
		            height: 90px;
		            mask-image: none;
		            background-color: transparent;
		            display: block;
		            content: "";
				}
				strong {
					font-weight: 500;
				} 
			}

			.wp-block-button a {
				font-size: 18px;
			}
		}
	}
}

@media (min-width: 768px) {
	:root :where(.wp-block-woocommerce-mini-cart-contents) {
		.wc-block-components-button.wc-block-components-drawer__close { 
			right: 16px;
			top: 38px;
		}

		.wc-block-mini-cart__title {
			padding: 32px;
		}

		.wc-block-mini-cart__items {
			padding: 32px;
		}

		table.wc-block-cart-items .wc-block-cart-items__row {
			gap: 24px;
			grid-template-columns: 110px auto;
		}


		table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image {
			padding-right: 0;
		}

		table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity {
			display: flex;
		}

		.wc-block-cart-item__total-price-and-sale-badge-wrapper,
		.wc-block-components-sale-badge {
			display: block;
		}
	}
}